#Match the directory to the current place
#Session -> set working directory -> To source file location

#installing packages
install.packages("data.table")
install.packages("dplyr")
#utilizing the packages
library(data.table)
library(dplyr)

#the 2nd element stands for not interpreting as "strings" 
data1 <- fread("limit_over.csv",stringsAsFactors=FALSE) 

names(data1) <- c("chips","chocolate","beverage")
head(data1, n=10)

data2 <- data1 %>% dplyr::filter(chips == 0)
head(data2,n=200)
data2A <- filter(data2,chocolate == 0)
data2B <- select(data2A, beverage)
data2C <- data1 %>% arrange(desc(chocolate))

data3 <- data1 %>% dplyr::select(beverage)
result <- data3 %>% summarise(max=max(beverage),min=min(beverage),mean=mean(beverage))
head(result)
fwrite(data2, "limit_2.csv",quote=FALSE, row.names=FALSE)
#outputting to the csv file
#the 2nd element stands for not writing double quotations
#the 3rd element stands for not writing the 1st column to the left side
